Get a Contact Reference
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactReference/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactReference/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactReference/{id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 25,
"contactId": 501,
"contactIndividualId": null,
"referenceSource": "Stripe",
"referenceId": "cus_123456"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Get a Contact Reference
Returns the Contact Reference with this numeric record id, if it is visible to the current user. The record id is different from the external referenceId.
GET
/
api
/
ContactReference
/
{id}
Get a Contact Reference
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The numeric id of the Contact Reference record.
Response
OK
A Contact Reference and its numeric Virtuous record id.
The numeric id of this Contact Reference record.
The id of the contact this reference belongs to.
The associated contact individual's id, if any.
The external system that owns the reference identifier.
The identifier of the record in the external system.
Maximum string length:
80Last modified on October 1, 2026
Was this page helpful?